net.dontdrinkandroot.wicket.bootstrap.component.pagination

## Class AjaxPaginationPanel

- java.lang.Object
- - org.apache.wicket.Component
  - - org.apache.wicket.MarkupContainer
    - - org.apache.wicket.markup.html.WebMarkupContainer
      - - org.apache.wicket.markup.html.panel.Panel
        - - net.dontdrinkandroot.wicket.bootstrap.component.pagination.PaginationPanel
          - - net.dontdrinkandroot.wicket.bootstrap.component.pagination.AjaxPaginationPanel

All Implemented Interfaces:
  Serializable, Iterable<org.apache.wicket.Component>, org.apache.wicket.event.IEventSink, org.apache.wicket.event.IEventSource, org.apache.wicket.IConverterLocator, org.apache.wicket.markup.html.IHeaderContributor, org.apache.wicket.request.component.IRequestableComponent, org.apache.wicket.util.IHierarchical<org.apache.wicket.Component>, org.apache.wicket.util.io.IClusterable

    public class AjaxPaginationPanel
    extends PaginationPanel

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.wicket.markup.html.panel.Panel

`PANEL`

### Fields inherited from class org.apache.wicket.Component

`ENABLE, FLAG_INITIALIZED, FLAG_REMOVING_FROM_HIERARCHY, FLAG_RESERVED1, FLAG_RESERVED2, FLAG_RESERVED3, FLAG_RESERVED4, FLAG_RESERVED5, FLAG_RESERVED8, PARENT_PATH, PATH_SEPARATOR, RENDER`

### Constructor Summary

Constructors
Constructor and Description
`AjaxPaginationPanel(String id, org.apache.wicket.markup.html.navigation.paging.IPageable pageable)`
`AjaxPaginationPanel(String id, org.apache.wicket.markup.html.navigation.paging.IPageable pageable, PaginationSize size)`

### Method Summary

Methods
`protected org.apache.wicket.Component` `createFirstPageItem(String id)`
`protected org.apache.wicket.Component` `createLastPageItem(String id)`
`protected org.apache.wicket.Component` `createNextPageItem(String id)`
`protected org.apache.wicket.Component` `createPageItem(String id, long page)`
`protected org.apache.wicket.Component` `createPrevPageItem(String id)`
`protected void` `onPageChanged(org.apache.wicket.ajax.AjaxRequestTarget target)`

### Methods inherited from class net.dontdrinkandroot.wicket.bootstrap.component.pagination.PaginationPanel

`getPageable, getViewSize, onBeforeRender, onInitialize, setViewSize`

### Methods inherited from class org.apache.wicket.markup.html.panel.Panel

`newMarkupSourcingStrategy`

### Methods inherited from class org.apache.wicket.markup.html.WebMarkupContainer

`getWebPage, getWebRequest, getWebResponse, getWebSession`

### Methods inherited from class org.apache.wicket.MarkupContainer

`add, addOrReplace, autoAdd, contains, get, get, getAssociatedMarkup, getAssociatedMarkupStream, getMarkup, getMarkupType, internalAdd, internalInitialize, iterator, iterator, onAfterRenderChildren, onComponentTagBody, onRender, remove, remove, removeAll, renderAll, renderAssociatedMarkup, renderNext, replace, setDefaultModel, size, swap, toString, toString, visitChildren, visitChildren, visitChildren, visitChildren`

### Methods inherited from class org.apache.wicket.Component

`add, addStateChange, afterRender, beforeRender, canCallListenerInterface, checkComponentTag, checkComponentTagAttribute, checkHierarchyChange, clearOriginalDestination, configure, continueToOriginalDestination, debug, detach, detachModel, detachModels, determineVisibility, error, exceptionMessage, fatal, findMarkupStream, findPage, findParent, findParentWithAssociatedMarkup, getAjaxRegionMarkupId, getApplication, getBehaviorById, getBehaviorId, getBehaviors, getBehaviors, getClassRelativePath, getConverter, getDefaultModel, getDefaultModelObject, getDefaultModelObjectAsString, getDefaultModelObjectAsString, getEscapeModelStrings, getFeedbackMessages, getFlag, getId, getInnermostModel, getInnermostModel, getLocale, getLocalizer, getMarkup, getMarkupAttributes, getMarkupId, getMarkupId, getMarkupIdFromMarkup, getMarkupIdImpl, getMarkupSourcingStrategy, getMetaData, getModelComparator, getOutputMarkupId, getOutputMarkupPlaceholderTag, getPage, getPageRelativePath, getParent, getPath, getRenderBodyOnly, getRequest, getRequestCycle, getRequestFlag, getResponse, getSession, getSizeInBytes, getStatelessHint, getString, getString, getString, getStyle, getVariation, hasBeenRendered, hasErrorMessage, hasFeedbackMessage, info, initModel, internalOnModelChanged, internalPrepareForRender, internalRenderComponent, isActionAuthorized, isAuto, isBehaviorAccepted, isEnableAllowed, isEnabled, isEnabledInHierarchy, isIgnoreAttributeModifier, isRenderAllowed, isStateless, isVersioned, isVisibilityAllowed, isVisible, isVisibleInHierarchy, markRendering, modelChanged, modelChanging, onAfterRender, onComponentTag, onConfigure, onDetach, onEvent, onModelChanged, onModelChanging, onRemove, prepareForRender, redirectToInterceptPage, remove, remove, render, renderComponentTag, rendered, renderHead, renderHead, renderHead, renderPlaceholderTag, replaceComponentTagBody, replaceWith, sameInnermostModel, sameInnermostModel, send, setAuto, setDefaultModelObject, setEnabled, setEscapeModelStrings, setFlag, setIgnoreAttributeModifier, setMarkup, setMarkupId, setMarkupIdImpl, setMetaData, setOutputMarkupId, setOutputMarkupPlaceholderTag, setParent, setRenderBodyOnly, setRequestFlag, setResponsePage, setResponsePage, setResponsePage, setVersioned, setVisibilityAllowed, setVisible, success, urlFor, urlFor, urlFor, urlFor, urlFor, visitParents, visitParents, warn, wrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AjaxPaginationPanel

    public AjaxPaginationPanel(String id,
                       org.apache.wicket.markup.html.navigation.paging.IPageable pageable)

#### AjaxPaginationPanel

    public AjaxPaginationPanel(String id,
                       org.apache.wicket.markup.html.navigation.paging.IPageable pageable,
                       PaginationSize size)

### Method Detail

#### createFirstPageItem

    protected org.apache.wicket.Component createFirstPageItem(String id)

Overrides:
  `createFirstPageItem` in class `PaginationPanel`

#### createNextPageItem

    protected org.apache.wicket.Component createNextPageItem(String id)

Overrides:
  `createNextPageItem` in class `PaginationPanel`

#### createPrevPageItem

    protected org.apache.wicket.Component createPrevPageItem(String id)

Overrides:
  `createPrevPageItem` in class `PaginationPanel`

#### createLastPageItem

    protected org.apache.wicket.Component createLastPageItem(String id)

Overrides:
  `createLastPageItem` in class `PaginationPanel`

#### createPageItem

    protected org.apache.wicket.Component createPageItem(String id,
                                             long page)

Overrides:
  `createPageItem` in class `PaginationPanel`

#### onPageChanged

    protected void onPageChanged(org.apache.wicket.ajax.AjaxRequestTarget target)